/*MDB primary color*/
:root {
    --mdb-primary: #D2092D;
    --mdb-primary-rgb: 210, 9, 45;
}

/* KP Step 2 (Obdelava vloge) */
button.graficni-pregledovalnik-btn {
    background-color: #D2092D;
    color: white;
}

select.select-priloga-type:focus,
input.nabor-podatkov-input:focus {
    border-color: #D2092D;
    -webkit-box-shadow: none;
    box-shadow: none;
}

div.nabor-parcel-background {
    background-color: #eee;
}

div.izracun-komunalnega-prispevka-background {
    background-color: #eee;
}

.komunalni-prispevek-tabele.old-object {
    background-color: #f0f0f0;
    border: 1px solid #ccc;
    border-radius: 8px;
}

.komunalni-prispevek-tabele.new-object {
    background-color: #ffb3b3;
    border: 1px solid #cc6666;
    border-radius: 8px;
}

.komunalni-prispevek-tabele {
    margin-bottom: 20px;
}

button.dodaj-parcelo-btn,
button.dodaj-parcelo-btn:disabled,
button.dodaj-parcelo-btn:focus {
    background-color: #999;
    color: #fff;
    box-shadow: none;
}

button.dodaj-parcelo-btn:hover {
    background-color: white;
    color: black;
    box-shadow: none;
}

.action-buttons {
    display: table-cell;
    text-align: center;
    vertical-align: middle;
    width: 5%;
}

.form-select:focus,
.form-control:focus,
.input-group>.form-control:focus {
    border-color: #D2092D;
    box-shadow: inset 0 0 0 1px #D2092D;
}

.form-control:focus ~ .form-notch div {
    border-color: #D2092D !important;
}

.form-control:focus ~ .form-notch .form-notch-leading {
    box-shadow: -1px 0 0 0 #D2092D,0 1px 0 0 #D2092D,0 -1px 0 0 #D2092D !important;
}

.form-outline .form-control:focus~.form-notch .form-notch-middle {
    box-shadow: 0 1px 0 0 #D2092D !important;
}
.form-control:focus ~ .form-notch .form-notch-trailing {
    box-shadow: 1px 0 0 0 #D2092D,0 -1px 0 0 #D2092D,0 1px 0 0 #D2092D !important;
}

.form-outline .form-control:focus~.form-notch .form-notch-middle {
    border-top: 1px solid transparent !important;
}

.form-control:focus ~ .form-label {
    color: #D2092D !important;
}

.steps a.btn.active {
    color: #D2092D;
    background-color: #C0C0C0;
}

.steps a.btn.active button {
    color: #ffffff;
    border-color: #D2092D;
    background-color: #D2092D;
}

.btn-next {
    color: #ffffff;
    background-color: #D2092D;
}

.osnovni-podatki tr a.btn-link {
    color: #D2092D;
}

div.status-vloge .btn-zavrnitev {
    background-color: #D2092D;
}

/* Radio check styling */
div.radio-check-selection .form-check-input:checked {
    border-color: #D2092D;
}

div.radio-check-selection .form-check-input[type=radio]:checked:after {
    background-color: #D2092D;
}

/* Checkbox styling */
div.checkbox-status-selection .form-check-input:checked {
    border-color: #D2092D;
    background-color: #D2092D;
    background-image: none;
}

.form-check-input[type=checkbox]:checked:focus {
    border-color: #D2092D;
    background-color: #D2092D;
    background-image: none;
}

.form-check-input[type=radio]:checked:after {
    border-color: #D2092D;
    background-color: #D2092D;
}

/* Info fragment */
button.info-title[aria-expanded="true"],
button.info-title[aria-expanded="false"] {
    color: #D2092D;
}

button.info-title[aria-expanded="true"]::after,
button.info-title[aria-expanded="false"]::after {
    color: #D2092D;
    background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23ED1C24'%3E%3Cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 01.708 0L8 10.293l5.646-5.647a.5.5 0 01.708.708l-6 6a.5.5 0 01-.708 0l-6-6a.5.5 0 010-.708z'/%3E%3C/svg%3E");
}

/* Validation */
.text-warning {
    color: #D2092D !important;
}

a.profile-mailto,
a.profile-settings {
    color: #D2092D !important;
}

a.profile-logout-button,
a.profile-logout-button:hover {
    background-color: #D2092D !important;
}

/* START Login page*/
.login-bg {
    margin-top: 150px;
    background-color: #878686;
}

.btn-login {
    color: #ffffff;
    background-color: #D2092D;
}

.btn-login:hover {
    color: #ffffff;
    background-color: #D2092D;
}

#logo-white {
    height: 75px;
}

.hero-section-wrapper-1 {
    background-color: #ffffff;
}

.login-form .remember-me-check-input.form-check-input[type=checkbox]:checked {
    border-color: #D2092D !important;
    background-color: #D2092D !important;
}

.login-form .remember-me-check-input:checked {
    border-color: #D2092D !important;
    background-color: #D2092D !important;
}

.login-form .form-control-custom {
    display: block;
    width: 100%;
    padding: .375rem .75rem;
    font-weight: 400;
    line-height: 1.6;
    color: #333;
    background-color: #fff0;
    background-clip: padding-box;
    border-bottom: 2px solid white;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-top: none;
    border-right: none;
    border-left: none;
}

.login-form .form-control-custom:focus-visible {
    outline: none;
    outline-offset: 1px;
    box-shadow: none;
    background-color: slategray;
}

.login-form input:-webkit-autofill {
    -webkit-box-shadow: 0 0 0 50px #878686 inset;
    -webkit-text-fill-color: #333;
    font-size: 13px !important;
}

.login-form input:-webkit-autofill:focus {
    -webkit-box-shadow: 0 0 0 50px slategray inset;
    -webkit-text-fill-color: #333;
    font-size: 13px !important;
}


.login-form input:-webkit-autofill:active {
    font-size: 13px !important;
}

/*siv del inputov v osnovnih podatkih tudi uporablja placeholder*/
#username::placeholder {
    color: white;
    opacity: 1;
}

#password::placeholder {
    color: white;
    opacity: 1;
}

/* END Login page*/

.dodaj-objekt-btn {
    background-color: #999;
    color: white;
}

.form-check-input[type=checkbox]:checked {
    background-image: none;
    background-color: #D2092D !important;
}

.form-switch .form-check-input:checked[type=checkbox]:after {
    background-color: #D2092D !important;
}

.gray-background {
    background-color: #c0c0c0 !important;
}

button.graficni-nabor-parcel-btn {
    background-color: #D2092D;
    color: white;
}

button.graficni-nabor-parcel-btn:disabled {
    background-color: white;
}

/* Checkbox */
div .form-check-input[type=checkbox]:checked {
    border-color: #D2092D;
    background-color: #D2092D;
}

div .form-check-input[type=radio]:checked {
    border-color: #D2092D;
    background-color: #fff;
}

/* Radio check styling */
div.radio-check-taksa .form-check-input:checked {
    border-color: #D2092D;
}

div.radio-check-taksa .form-check-input[type=radio]:checked:after {
    background-color: #D2092D;
}

.nov-postopek.zadeva {
    background-color: #eee;
}

.btn-check:checked+.btn {
    background-color: #D2092D;
    color: white;
}

.form-titles,
.form-check-input,
.form-person {
    display: flex;
    align-items: center;
}

.row {
    display: flex;
    align-items: center;
}

/* GIS */
.map-container-menu .list-group-item input[type=checkbox] {
    accent-color: #D2092D;
}
.map-container-menu svg {
    color: #D2092D;
}

.map-loader-overlay .spinner-border {
    color: #D2092D;
}
